%define upstream_name    Dir-Manifest
%define upstream_version 0.6.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Load texts or blobs from a directory of files
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dir/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Moo)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Socket)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Here is the primary use case: you have several long texts (and/or binary
blobs) that you wish to load from the code (e.g: for the "want"/expected
values of tests) and you wish to conveniently edit them, track them and
maintain them. Using Dir::Manifest you can put each in a
separate file in a directory, create a manifest file listing all valid
filenames/key and then say something like 'my $text =
$dir->text("deal24solution.txt", {lf => 1})'. And hopefully it will be done
securely and reliably.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Feb 20 2020 umeabot <umeabot> 0.6.1-2.mga8
+ Revision: 1545613
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 tv <tv> 0.6.1-1.mga8
+ Revision: 1484953
- update to 0.6.1

* Tue Jan 07 2020 shlomif <shlomif> 0.6.0-1.mga8
+ Revision: 1477143
- New version 0.6.0

* Mon Jan 06 2020 shlomif <shlomif> 0.4.0-1.mga8
+ Revision: 1476931
- New version 0.4.0

* Sat Jun 29 2019 shlomif <shlomif> 0.2.0-1.mga8
+ Revision: 1415419
- New version 0.2.0

* Wed May 01 2019 shlomif <shlomif> 0.0.4-1.mga7
+ Revision: 1396027
- update to 0.0.4

* Wed Apr 24 2019 shlomif <shlomif> 0.0.3-2.mga7
+ Revision: 1395124
- Fix summary and description

* Tue Jan 22 2019 tv <tv> 0.0.3-1.mga7
+ Revision: 1359460
- update to 0.0.3

* Tue Jan 15 2019 shlomif <shlomif> 0.0.2-1.mga7
+ Revision: 1357254
- imported package perl-Dir-Manifest


* Tue Jan 15 2019 cpan2dist 0.0.2-1mga
- initial mageia release, generated with cpan2dist
